Available in VPC
Get the size of a NAS volume instance over a specific time period based on the set measurement interval.
getNasVolumeInstanceRatingList is only available in the Korea (KR) Region. To view the NAS volume instance measurement list in other Regions, see Cloud Insight API.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vnas/v2/getNasVolumeInstanceRatingList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all NAS APIs, see Common NAS headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the NAS volume instance for which you want to view volume instance size
|
nasVolumeInstanceNo |
String | Required | NAS volume instance number for which you want to view volume instance size |
startTime |
String | Required | Measurement start date and time
|
endTime |
String | Required | Measurement end date and time
|
interval |
String | Required | Measurement interval
|
responseFormatType |
String | Optional | Response result format type
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vnas/v2/getNasVolumeInstanceRatingList
?regionCode=KR
&nasVolumeInstanceNo=23490000
&startTime=2024-04-08T00%3A00%3A00%2B0000
&endTime=2024-04-08T10%3A00%3A00%2B0000
&interval=5m
&responseFormatType=json' \ \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See NasVolumeInstanceRatingList for the response body.
Response status codes
For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.
Response example
The response example is as follows:
{
"getNasVolumeInstanceRatingListResponse": {
"totalRows": 1,
"nasVolumeInstanceRatingList": [
{
"ratingTime": "20240407",
"averageVolumeSize": 536870912000,
"averageVolumeUseSize": 380928,
"averageVolumeUseRatio": 0.0,
"maxVolumeUseSize": 380928,
"maxVolumeUseRatio": 0.0,
"minVolumeUseSize": 380928,
"minVolumeUseRatio": 0.0,
"snapshotAverageVolumeSize": 0,
"snapshotAverageVolumeUseSize": 0,
"snapshotMaxVolumeUseSize": 0,
"snapshotMaxVolumeUseRatio": 0.0,
"snapshotMinVolumeUseSize": 0,
"snapshotMinVolumeUseRatio": 0.0
}
],
"requestId": "0000bdf-ceaa-4f9f-b6a6-da1352110000",
"returnCode": "0",
"returnMessage": "success"
}
}
When the interval is 5M, it looks like this:
{
"getNasVolumeInstanceRatingListResponse": {
"totalRows": 1,
"nasVolumeInstanceRatingList": [
{
"ratingTime": "20240407",
"volumeSize": 536870912000,
"volumeUseSize": 380928,
"volumeUseRatio": 0.0,
"snapshotVolumeSize": 0,
"snapshotVolumeUseSize": 0,
"snapshotVolumeUseRatio": 0.0,
}
],
"requestId": "0000bdf-ceaa-4f9f-b6a6-da1352110000",
"returnCode": "0",
"returnMessage": "success"
}
}